Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType network-channelType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}deploymentType
              {http://www.bea.com/ns/weblogic/90/domain}network-channelType

Model
  `<...>
  name?, notes?, target?, deployment-order?, description?, listen-port?, listen-port-enabled?, ssl-listen-port?, ssl-listen-port-enabled?, cluster-address?, t3-enabled?, t3s-enabled?, http-enabled?, https-enabled?, com-enabled?, outgoing-enabled?, bound-outgoing-enabled?, channel-weight?, accept-backlog?, login-timeout-millis?, login-timeout-millis-ssl?, tunneling-enabled?, tunneling-client-ping-secs?, tunneling-client-timeout-secs?, complete-t3-message-timeout?, complete-http-message-timeout?, complete-com-message-timeout?, max-t3-message-size?, max-http-message-size?, max-com-message-size?, iiop-enabled?, iiops-enabled?, complete-iiop-message-timeout?, max-iiop-message-size?, idle-iiop-connection-timeout?, default-iiop-user?, default-iiop-password-encrypted?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This MBean defines a network channel. A network channel is used to configure additional ports for a server beyond its default listen ports. Network channels do not support IIOP.

  A network channel can be targeted at multiple clusters and servers. Targeting a channel at a cluster targets it at every server that is a member of that cluster. A server can support multiple channels.

  A server can fine-tune its network channel settings by using a NetworkAccessPointMBean. The NetworkAccessPointMBean also servers to set the listen address and external DNS name that a server uses for a particular channel.

  A server serves up to three default listen ports: ServerMBean ListenPort, ServerMBean AdministrationPort, and SSLMBean ListenPort. The default listen ports form implicit channel(s) of weight 50.

  A network channel also defines the creation of server-to-server connections. If a server is initiating a new connection to another server, the highest weighted common (same named) channel that supports the desired protocol is used to determine which port to contact.

  MBean: `NetworkChannelMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `deployment-order` optional A priority that the server uses to determine when it deploys an item.
`string` | `description` optional Optional short description of this channel for console display purposes.
`annonymous type derived from int` | `listen-port` optional The plaintext (non-SSL) listen port for the channel.
`boolean` | `listen-port-enabled` optional This MBean defines a network channel.
`annonymous type derived from int` | `ssl-listen-port` optional The SSL listen port for the channel.
`boolean` | `ssl-listen-port-enabled` optional This MBean defines a network channel.
`string` | `cluster-address` optional This channel's cluster address.
`boolean` | `t3-enabled` optional This MBean defines a network channel.
`boolean` | `t3s-enabled` optional This MBean defines a network channel.
`boolean` | `http-enabled` optional This MBean defines a network channel.
`boolean` | `https-enabled` optional This MBean defines a network channel.
`boolean` | `com-enabled` optional This MBean defines a network channel.
`boolean` | `outgoing-enabled` optional This MBean defines a network channel.
`boolean` | `bound-outgoing-enabled` optional This MBean defines a network channel.
`annonymous type derived from int` | `channel-weight` optional A weight to give this channel when creating server-to-server connections.
`annonymous type derived from int` | `accept-backlog` optional Allowed backlog of connection requests on the listen port(s).
`annonymous type derived from int` | `login-timeout-millis` optional The login timeout for the server, in milliseconds.
`annonymous type derived from int` | `login-timeout-millis-ssl` optional Duration allowed for an SSL login sequence.
`boolean` | `tunneling-enabled` optional This MBean defines a network channel.
`annonymous type derived from int` | `tunneling-client-ping-secs` optional Interval (in seconds) at which to ping an http-tunneled client to see if its still alive.
`annonymous type derived from int` | `tunneling-client-timeout-secs` optional Duration (in seconds) after which a missing http-tunneled client is considered dead.
`annonymous type derived from int` | `complete-t3-message-timeout` optional The maximum number of seconds spent waiting for a complete T3 message to be received.
`annonymous type derived from int` | `complete-http-message-timeout` optional The maximum number of seconds spent waiting for a complete HTTP message to be received.
`annonymous type derived from int` | `complete-com-message-timeout` optional The maximum number of seconds spent waiting for a complete COM message to be received.
`annonymous type derived from int` | `max-t3-message-size` optional The maximum T3 message size allowable in a message header.
`annonymous type derived from int` | `max-http-message-size` optional The maximum HTTP message size allowable in a message header.
`annonymous type derived from int` | `max-com-message-size` optional The maximum COM message size allowable in a message header.
`boolean` | `iiop-enabled` optional This MBean defines a network channel.
`boolean` | `iiops-enabled` optional This MBean defines a network channel.
`annonymous type derived from int` | `complete-iiop-message-timeout` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `max-iiop-message-size` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `idle-iiop-connection-timeout` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `default-iiop-user` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `default-iiop-password-encrypted` optional The encrypted password for the default IIOP user.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1